Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Hash< wchar_t * > Class Template Reference

Function object for hashing a string. More...

`#include <Functor.h>`

List of all members.

## Public Member Functions
unsigned long | operator() (const wchar_t *t) const
| Calls ACE::hash_pjw.

## Detailed Description

### template<>
class ACE_Hash< wchar_t * >

Function object for hashing a string.

## Member Function Documentation

ACE_INLINE unsigned long ACE_Hash< wchar_t * >::operator() | ( | const wchar_t * | t | ) | const

| Calls ACE::hash_pjw.

The documentation for this class was generated from the following files:

- Functor.h
- Functor.inl